Bug Hunting Session
Bug 128684 - FILEOPEN: Wrong rotation of text in custom shape
Summary: FILEOPEN: Wrong rotation of text in custom shape
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.4
Keywords: filter:pptx
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2019-11-09 13:22 UTC by Tamas Bunth
Modified: 2019-11-28 11:19 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Powerpoint presentation file (56.72 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-11-09 13:23 UTC, Tamas Bunth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamas Bunth 2019-11-09 13:22:17 UTC
Description:
In attached PPTX file, rotation of text in a custom shape is vertical, after opening the file.
Opening the same file with Microsoft Office, the text is horizontal.

Steps to Reproduce:
1. Open attached file

Actual Results:
Orientation of text in shape is vertical

Expected Results:
Orientation of text in shape is horizontal


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Tamas Bunth 2019-11-09 13:23:30 UTC
Created attachment 155656 [details]
Powerpoint presentation file
Comment 2 Oliver Brinzing 2019-11-09 14:56:00 UTC
already reproducible with:

LO Version 3.6.7.2 (Build ID: e183d5b)

but *not* reproducible with AOO 4.1.5
Comment 3 Commit Notification 2019-11-16 12:41:54 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/742f59eaa38a3f13b6110573b1428de45c55b035

tdf128684: Rotate text in not preset custom shape

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-11-17 15:15:55 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/c2097477e3a43d75c170a6f7a5daf5dcb2169329

tdf128684: Rotate text in not preset custom shape

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-11-17 15:50:05 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/d6c3f1d37f651637ed4d803a2226ead4392fd85f

tdf128684: Rotate text in not preset custom shape

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-11-18 10:24:07 UTC
Verified in

Version: 6.4.0.0.beta1+
Build ID: c2097477e3a43d75c170a6f7a5daf5dcb2169329
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Tamas Bunth, thanks for fixing this issue! Should it be closed as RESOLVED FIXED ?
Comment 7 Xisco Faulí 2019-11-28 11:19:12 UTC
let's close this one as VERIFIED FIXED